VTE(4)

NAME
vte - RDC R6040 10/100 Ethernet device

SYNOPSIS
vte* at pci?
rdcphy* at mii?

DESCRIPTION
The vte driver provides support for Ethernet interfaces based on the RDC R6040 Ethernet chipset which is commonly found on Vortex86 System On a Chip (SoC).

The vte driver supports interrupt moderation mechanism, a 64-bit multicast hash filter.

The following media types are supported:

autoselect
    Enable autoselection of the media type and options.
10baseT
    Set 10Mbps operation.
100baseTX
    Set 100Mbps (Fast Ethernet) operation.

For more information on configuring this device, see ifconfig(8). To view a list of media types and options supported by the card, try ifconfig <device> media. For example, ifconfig vte0 media.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), rdcphy(4), hostname.if(5), ifconfig(8)

HISTORY
The vte device driver first appeared in OpenBSD 4.9.

AUTHORS
-nosplit The vte driver was written by Pyun YongHyeon for FreeBSD and ported to OpenBSD by Kevin Lo <kevlo@openbsd.org>.